Bug 449844 - Fall Apart effect in new overview
Summary: Fall Apart effect in new overview
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-overview (show other bugs)
Version: git-stable-Plasma/5.24
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-09 12:22 UTC by saxn
Modified: 2022-02-10 21:59 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description saxn 2022-02-09 12:22:54 UTC
SUMMARY
Effect only shows when there is no overview effect.

STEPS TO REPRODUCE
1. Enable fall apart effect in Desktop Effects
2. open any two application and go to new overview effect
3. Close any window from the overview and observe the effect

OBSERVED RESULT
When the window is closed also when the overview effect is closed then only the fall apart effect is shown

EXPECTED RESULT
It should show the fall apart effect within the overview effect.

Operating System: Arch Linux
KDE Plasma Version: 5.24.0
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.2
Kernel Version: 5.16.7-zen1-1-zen (64-bit)
Graphics Platform: Wayland
Processors: 8 × Intel® Core™ i5-9300H CPU @ 2.40GHz
Memory: 7.6 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics 630
Comment 1 Vlad Zahorodnii 2022-02-09 12:40:58 UTC
Those two effects are implemented using different infrastructure. It's surprising that the fall apart is not disabled when there's a running fullscreen effect though, like all other animation effects.

Adding fall apart integration in the overview effect would be very tedious and I'm not sure that it's actually worth it.
Comment 2 saxn 2022-02-09 12:45:20 UTC
i agree, but fall apart should not apply on overview effect then i guess.
Comment 3 Bug Janitor Service 2022-02-09 13:12:06 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/1986
Comment 4 Vlad Zahorodnii 2022-02-09 15:46:52 UTC
Git commit e419faee39b23d4b1b9f4359b07d31b5e95e7e6e by Vlad Zahorodnii.
Committed on 09/02/2022 at 13:09.
Pushed by vladz into branch 'master'.

effects/fallapart: Avoid animating windows while there's a fullscreen effect

While there's a fullscreen effect, the fall apart effect should avoid
animating windows as it can corrupt or interfere with the active full
screen effect. This matches behavior of many other animation effects in
kwin.

M  +2    -0    src/effects/fallapart/fallapart.cpp

https://invent.kde.org/plasma/kwin/commit/e419faee39b23d4b1b9f4359b07d31b5e95e7e6e
Comment 5 Vlad Zahorodnii 2022-02-09 15:47:20 UTC
Git commit 75462970f344acaab5b4c661cd9a415744545935 by Vlad Zahorodnii.
Committed on 09/02/2022 at 15:47.
Pushed by vladz into branch 'Plasma/5.24'.

effects/fallapart: Avoid animating windows while there's a fullscreen effect

While there's a fullscreen effect, the fall apart effect should avoid
animating windows as it can corrupt or interfere with the active full
screen effect. This matches behavior of many other animation effects in
kwin.


(cherry picked from commit e419faee39b23d4b1b9f4359b07d31b5e95e7e6e)

M  +2    -0    src/effects/fallapart/fallapart.cpp

https://invent.kde.org/plasma/kwin/commit/75462970f344acaab5b4c661cd9a415744545935